Batch Upload Employee Document
curl --request POST \
--url https://api.stackone.com/unified/hris/employees/{id}/documents/upload/batch \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'x-account-id: <x-account-id>' \
--data '
{
"items": [
{
"name": "weather-forecast",
"file_format": {
"value": "pdf",
"source_value": "application/pdf"
},
"content": "VGhpcyBpc24ndCByZWFsbHkgYSBzYW1wbGUgZmlsZSwgYnV0IG5vIG9uZSB3aWxsIGV2ZXIga25vdyE",
"category_id": "6530",
"path": "/path/to/file",
"confidential": {
"value": "true",
"source_value": "public"
},
"category": {
"value": "reports",
"source_value": "550e8400-e29b-41d4-a716-446655440000"
}
}
]
}
'import requests
url = "https://api.stackone.com/unified/hris/employees/{id}/documents/upload/batch"
payload = { "items": [
{
"name": "weather-forecast",
"file_format": {
"value": "pdf",
"source_value": "application/pdf"
},
"content": "VGhpcyBpc24ndCByZWFsbHkgYSBzYW1wbGUgZmlsZSwgYnV0IG5vIG9uZSB3aWxsIGV2ZXIga25vdyE",
"category_id": "6530",
"path": "/path/to/file",
"confidential": {
"value": "true",
"source_value": "public"
},
"category": {
"value": "reports",
"source_value": "550e8400-e29b-41d4-a716-446655440000"
}
}
] }
headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
items: [
{
name: 'weather-forecast',
file_format: {value: 'pdf', source_value: 'application/pdf'},
content: 'VGhpcyBpc24ndCByZWFsbHkgYSBzYW1wbGUgZmlsZSwgYnV0IG5vIG9uZSB3aWxsIGV2ZXIga25vdyE',
category_id: '6530',
path: '/path/to/file',
confidential: {value: 'true', source_value: 'public'},
category: {value: 'reports', source_value: '550e8400-e29b-41d4-a716-446655440000'}
}
]
})
};
fetch('https://api.stackone.com/unified/hris/employees/{id}/documents/upload/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 202,
"message": "Batch operation accepted",
"timestamp": "2021-01-01T01:01:01.000Z",
"errors": [
[
"Missing field: name"
],
[],
[]
]
}{
"statusCode": 400,
"message": "Bad Request",
"timestamp": "2023-05-30T00:00:00.000Z",
"data": {
"statusCode": 400,
"message": "Bad Request",
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
},
"provider_errors": [
{
"status": 400,
"url": "https://api.provider.com/v1/resource",
"raw": {
"message": "Invalid input parameters"
},
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
}
]
}{
"statusCode": 401,
"message": "Unauthorized",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 403,
"message": "Forbidden resource",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 404,
"message": "Not Found",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 408,
"message": "Request timed out",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 409,
"message": "Conflict",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 412,
"message": "Precondition failed",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 422,
"message": "Unprocessable Entity",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 429,
"message": "Too many requests",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 500,
"message": "Internal server error",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 501,
"message": "Not Implemented",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 502,
"message": "Bad Gateway",
"timestamp": "2023-05-30T00:00:00.000Z"
}Batch Upload Employee Document
POST
/
unified
/
hris
/
employees
/
{id}
/
documents
/
upload
/
batch
Batch Upload Employee Document
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
The account identifier
Path Parameters
Body
application/json
The batch of items to create
Show child attributes
Show child attributes
Was this page helpful?
⌘I